# Input File Description

## Program: pw2bgw.x / PWscf / Quantum ESPRESSO (version: 7.2)

> ### TABLE OF CONTENTS

> > INTRODUCTION

> > &INPUT_PW2BGW

> > > prefix | outdir | real_or_complex | symm_type | wfng_flag | wfng_file | wfng_kgrid | wfng_nk1 | wfng_nk2 | wfng_nk3 | wfng_dk1 | wfng_dk2 | wfng_dk3 | wfng_occupation | wfng_nvmin | wfng_nvmax | rhog_flag | rhog_file | rhog_nvmin | rhog_nvmax | vxcg_flag | vxcg_file | vxc0_flag | vxc0_file | vxc_flag | vxc_file | vxc_integral | vxc_diag_nmin | vxc_diag_nmax | vxc_offdiag_nmin | vxc_offdiag_nmax | vxc_zero_rho_core | vscg_flag | vscg_file | vkbg_flag | vkbg_file

> ### INTRODUCTION

> >     Purpose of pw2bgw.x:
> >        Converts the output files produced by pw.x to the input files for BerkeleyGW.

> >     You cannot use USPP, PAW, or spinors in a pw.x run for BerkeleyGW.

> >     You cannot use "K_POINTS gamma" in a pw.x run for BerkeleyGW.
> >     Use "K_POINTS { tpiba | automatic | crystal }" even for the
> >     Gamma-point calculation.

> >     It is recommended to run a pw.x "bands" calculation with "K_POINTS crystal"
> >     and a list of k-points produced by kgrid.x, which is a part of BerkeleyGW
> >     package (see BerkeleyGW documentation for details).

> >     You can also run a pw.x "nscf" calculation instead of "bands", but in this
> >     case pw.x may generate more k-points than provided in the input file of pw.x.
> >     If this is the case for your calculation you will get errors in BerkeleyGW.

> >     Examples showing how to run BerkeleyGW on top of Quantum ESPRESSO including
> >     the input files for pw.x and pw2bgw.x are distributed together with the
> >     BerkeleyGW package.

> >     Structure of the input data:
> >     ============================

> >        &INPUT_PW2BGW
> >          ...
> >        /

## Namelist: &INPUT_PW2BGW

prefix | STRING
Status: | MANDATORY

>     prefix of files saved by program pw.x

[Back to Top]

outdir | STRING
Default: | './'

>     the scratch directory where the massive data-files are written

[Back to Top]

real_or_complex | INTEGER
Default: | 2

>     1 | 2
>     1 for real flavor of BerkeleyGW (for systems with inversion symmetry and
>     time-reversal symmetry) or 2 for complex flavor of BerkeleyGW (for systems
>     without inversion symmetry and time-reversal symmetry)

[Back to Top]

symm_type | STRING
Default: | 'cubic'

>     Options are:

> `'cubic'`

> `'hexagonal'`

>     type of crystal system, 'cubic' for space groups 1 ... 142 and 195 ... 230
>     and 'hexagonal' for space groups 143 ... 194. Only used if ibrav = 0 in a
>     pw.x run. Written to BerkeleyGW WFN, RHO, VXC and VKB files but no longer
>     used (except in SAPO code in BerkeleyGW). You can use the default value for
>     all systems. Don't set to different values in different files for the same
>     system or you will get errors in BerkeleyGW.

[Back to Top]

wfng_flag | LOGICAL
Default: | .FALSE.

>     write wavefunctions in G-space to BerkeleyGW WFN file

[Back to Top]

wfng_file | STRING
Default: | 'WFN'

>     name of BerkeleyGW WFN output file. Not used if wfng_flag = .FALSE.

[Back to Top]

wfng_kgrid | LOGICAL
Default: | .FALSE.

>     overwrite k-grid parameters in BerkeleyGW WFN file.
>     If pw.x input file contains an explicit list of k-points,
>     the k-grid parameters in the output of pw.x will be set to zero.
>     Since sigma and absorption in BerkeleyGW both need to know the
>     k-grid dimensions, we patch these parameters into BerkeleyGW WFN file

[Back to Top]

wfng_nk1 | INTEGER
Default: | 0

>     number of k-points along b_1 reciprocal lattice vector.
>     Not used if wfng_kgrid = .FALSE.

[Back to Top]

wfng_nk2 | INTEGER
Default: | 0

>     number of k-points along b_2 reciprocal lattice vector.
>     Not used if wfng_kgrid = .FALSE.

[Back to Top]

wfng_nk3 | INTEGER
Default: | 0

>     number of k-points along b_3 reciprocal lattice vector.
>     Not used if wfng_kgrid = .FALSE.

[Back to Top]

wfng_dk1 | REAL
Default: | 0.0

>     k-grid offset (0.0 unshifted, 0.5 shifted by half a grid step)
>     along b_1 reciprocal lattice vector. Not used if wfng_kgrid = .FALSE.

[Back to Top]

wfng_dk2 | REAL
Default: | 0.0

>     k-grid offset (0.0 unshifted, 0.5 shifted by half a grid step)
>     along b_2 reciprocal lattice vector. Not used if wfng_kgrid = .FALSE.

[Back to Top]

wfng_dk3 | REAL
Default: | 0.0

>     k-grid offset (0.0 unshifted, 0.5 shifted by half a grid step)
>     along b_3 reciprocal lattice vector. Not used if wfng_kgrid = .FALSE.

[Back to Top]

wfng_occupation | LOGICAL
Default: | .FALSE.

>     overwrite occupations in BerkeleyGW WFN file

[Back to Top]

wfng_nvmin | INTEGER
Default: | 0

>     index of the lowest occupied band (normally = 1).
>     Not used if wfng_occupation = .FALSE.

[Back to Top]

wfng_nvmax | INTEGER
Default: | 0

>     index of the highest occupied band (normally = number of occupied bands).
>     Not used if wfng_occupation = .FALSE.

[Back to Top]

rhog_flag | LOGICAL
Default: | .FALSE.

>     write charge density in G-space to BerkeleyGW RHO file.
>     Only used for the GPP model in sigma code in BerkeleyGW

[Back to Top]

rhog_file | STRING
Default: | 'RHO'

>     name of BerkeleyGW RHO output file. Only used for the GPP model in sigma
>     code in BerkeleyGW. Not used if rhog_flag = .FALSE.

[Back to Top]

rhog_nvmin | INTEGER
Default: | 0

>     index of the lowest band used for calculation of charge density. This is
>     needed if one wants to exclude semicore states from charge density used
>     for the GPP model in sigma code in BerkeleyGW. Make sure to include the
>     same k-points as in scf calculation. Self-consistent charge density is
>     used if rhog_nvmin = 0 and rhog_nvmax = 0. Not used if rhog_flag = .FALSE.
>     BEWARE: this feature is highly experimental and may not work at all in
>     parallel, with pools, with spins, etc.

[Back to Top]

rhog_nvmax | INTEGER
Default: | 0

>     index of the highest band used for calculation of charge density. See
>     description of rhog_nvmin for more details

[Back to Top]

vxcg_flag | LOGICAL
Default: | .FALSE.

>     write local part of exchange-correlation potential in G-space to
>     BerkeleyGW VXC file. Only used in sigma code in BerkeleyGW, it is
>     recommended to use vxc_flag instead

[Back to Top]

vxcg_file | STRING
Default: | 'VXC'

>     name of BerkeleyGW VXC output file. Only used in sigma code in BerkeleyGW,
>     it is recommended to use vxc_flag instead. Not used if vxcg_flag = .FALSE.

[Back to Top]

vxc0_flag | LOGICAL
Default: | .FALSE.

>     write Vxc(G = 0) to text file. Only for testing, not required for BerkeleyGW

[Back to Top]

vxc0_file | STRING
Default: | 'vxc0.dat'

>     name of output text file for Vxc(G = 0). Only for testing, not required for
>     BerkeleyGW. Not used if vxc0_flag = .FALSE.

[Back to Top]

vxc_flag | LOGICAL
Default: | .FALSE.

>     write matrix elements of exchange-correlation potential to text file.
>     Only used in sigma code in BerkeleyGW

[Back to Top]

vxc_file | STRING
Default: | 'vxc.dat'

>     name of output text file for Vxc matrix elements. Only used in sigma code
>     in BerkeleyGW. Not used if vxc_flag = .FALSE.

[Back to Top]

vxc_integral | STRING
Default: | 'g'

>     'g' | 'r'
>     'g' to compute matrix elements of exchange-correlation potential in G-space.
>     'r' to compute matrix elements of the local part of exchange-correlation
>     potential in R-space. It is recommended to use 'g'. Not used if vxc_flag = .FALSE.

[Back to Top]

vxc_diag_nmin | INTEGER
Default: | 0

>     minimum band index for diagonal Vxc matrix elements. Not used if vxc_flag = .FALSE.

[Back to Top]

vxc_diag_nmax | INTEGER
Default: | 0

>     maximum band index for diagonal Vxc matrix elements. Not used if vxc_flag = .FALSE.

[Back to Top]

vxc_offdiag_nmin | INTEGER
Default: | 0

>     minimum band index for off-diagonal Vxc matrix elements. Not used if vxc_flag = .FALSE.

[Back to Top]

vxc_offdiag_nmax | INTEGER
Default: | 0

>     maximum band index for off-diagonal Vxc matrix elements. Not used if vxc_flag = .FALSE.

[Back to Top]

vxc_zero_rho_core | LOGICAL
Default: | .TRUE.

>     set to .TRUE. to zero out NLCC or to .FALSE. to keep NLCC when computing
>     exchange-correlation potential. This flag has no effect for pseudopotentials
>     without NLCC.
>     BEWARE: setting vxc_zero_rho_core to .FALSE. will produce
>     incorrect results. This functionality is only included for testing purposes
>     and is not meant to be used in a production environment

[Back to Top]

vscg_flag | LOGICAL
Default: | .FALSE.

>     write local part of self-consistent potential in G-space to
>     BerkeleyGW VSC file. Only used in SAPO code in BerkeleyGW

[Back to Top]

vscg_file | STRING
Default: | 'VSC'

>     name of BerkeleyGW VSC output file. Only used in SAPO code in BerkeleyGW.
>     Not used if vscg_flag = .FALSE.

[Back to Top]

vkbg_flag | LOGICAL
Default: | .FALSE.

>     write Kleinman-Bylander projectors in G-space to BerkeleyGW VKB file.
>     Only used in SAPO code in BerkeleyGW

[Back to Top]

vkbg_file | STRING
Default: | 'VKB'

>     name of BerkeleyGW VKB output file. Only used in SAPO code in BerkeleyGW.
>     Not used if vkbg_flag = .FALSE.

[Back to Top]

This file has been created by helpdoc utility on Sat Mar 18 15:50:17 CET 2023.